{ config
, pkgs
, inputs
, ...
}:
let
  wallpaper = inputs.nix-wallpaper.packages.${pkgs.system}.default.override {
    logoSize = 24;
    preset = "gruvbox-dark-rainbow";
  };
  wallpaperPath = "${wallpaper}/share/wallpapers/nixos-wallpaper.png";
in
{
  home = {
    file.".background".source = wallpaperPath;

    packages = with pkgs.unstable-pkgs; [
      airshipper
      bitwarden
      brave
      cavalier
      freetube
      filelight
      inkscape
      jellyfin-media-player
      kate
      libsForQt5.kdeconnect-kde
      neofetch
      nextcloud-client
      onlyoffice-bin
      rustdesk
      spotify
      signal-desktop
      tutanota-desktop
      thunderbird
      webcord-vencord
    ];
  };
}
